TESTING/LIN/crzt01.f(3)

NAME
TESTING/LIN/crzt01.f

SYNOPSIS

  Functions/Subroutines
real function crzt01 (m, n, a, af, lda, tau, work, lwork)
CRZT01

Function/Subroutine Documentation

  real function crzt01 (integer m, integer n, complex, dimension( lda, * ) a, complex, dimension( lda, * ) af, integer lda, complex, dimension( * ) tau, complex, dimension( lwork ) work, integer lwork)

CRZT01

Purpose:

     CRZT01 returns
          || A - R*Q || / ( M * eps * ||A|| )
     for an upper trapezoidal A that was factored with CTZRZF.

Parameters
    M

              M is INTEGER
              The number of rows of the matrices A and AF.

    N

              N is INTEGER
              The number of columns of the matrices A and AF.

    A

              A is COMPLEX array, dimension (LDA,N)
              The original upper trapezoidal M by N matrix A.

    AF

              AF is COMPLEX array, dimension (LDA,N)
              The output of CTZRZF for input matrix A.
              The lower triangle is not referenced.

    LDA

              LDA is INTEGER
              The leading dimension of the arrays A and AF.

    TAU

              TAU is COMPLEX array, dimension (M)
              Details of the  Householder transformations as returned by
              CTZRZF.

    WORK

              WORK is COMPLEX array, dimension (LWORK)

    LWORK

              LWORK is INTEGER
              The length of the array WORK.  LWORK >= m*n + m.

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 96 of file crzt01.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.